#include<stdio.h>

 int main () {
   
  int n, max, min=0, s, r, a, b, c;
  
  scanf("%d", &n); 
  if (n>99 && n<1000) {
  
  a=n%10;
  b=(n/10)%10;
  c=n/100;
  
  if(a>=b && a>=c)
    max=a;
  if(b>=a && b>=c)
    max=b;
  if(c>=a && c>=b)
    max=c;
  
  
  if(a<=b && a<=c)
    min=a;
  if(b<=a && b<=c)
    min=b;
  if(c<=a && c<=b)
    min=c;
  
  if(a!=min && a!=max)
    r=a;
  if(b!=min && b!=max)
    r=b;
  if(c!=min && c!=max)
    r=c;
 
  
  printf("%d\n", min*100+r*10+max); }
     
     else printf ("-1");
     return 0;
 }